#!/bin/bash
# Commande pandoc qui transforme un fichier markdown (example.md)
# en appliquant une css du même nom (example.css)

# Si pas ou plus d'un paramètre, on sort
if [ $# -ne 1 ]; then
    echo "Mettre le nom du markdown a transformer. Le script appliquera la css du même nom."
    exit 1
fi

# Si le markdown demandé n'existe pas, on sort
if [ ! -e $1.md ]; then
     echo "Le fichier $1.md n'éxiste pas!"
     exit 1
fi

# Si pandoc n'est pas installé on sort
if ! command -v pandoc &> /dev/null
then
    echo "Pandoc n'est pas installé"
    exit 1
fi

pandoc --standalone --css $1.css \
       --from markdown --to html \
       --output ./index.html $1.md \
       --metadata pagetitle=$1;

echo "### Transformation du Markdown $1.md en HTML dans index.html avec $1.css d'appliqué"
